import request from '@/utils/request'

// 查询呼叫频率配置列表
export function listCompanyVoiceConfig(query) {
  return request({
    url: '/company/companyVoiceConfig/list',
    method: 'get',
    params: query
  })
}

// 查询呼叫频率配置详细
export function getCompanyVoiceConfig(configId) {
  return request({
    url: '/company/companyVoiceConfig/' + configId,
    method: 'get'
  })
}

// 新增呼叫频率配置
export function addCompanyVoiceConfig(data) {
  return request({
    url: '/company/companyVoiceConfig',
    method: 'post',
    data: data
  })
}

// 修改呼叫频率配置
export function updateCompanyVoiceConfig(data) {
  return request({
    url: '/company/companyVoiceConfig',
    method: 'put',
    data: data
  })
}

// 删除呼叫频率配置
export function delCompanyVoiceConfig(configId) {
  return request({
    url: '/company/companyVoiceConfig/' + configId,
    method: 'delete'
  })
}

// 导出呼叫频率配置
export function exportCompanyVoiceConfig(query) {
  return request({
    url: '/company/companyVoiceConfig/export',
    method: 'get',
    params: query
  })
}